Welcome, Guest. Please login or register.
April 17, 2014, 14:32:05 PM
Home Help Search Calendar Login Register
Show unread posts since last visit.
News: Let Pardus-Anka become #1: Pardus-Anka Bug ReportPardus-Anka World Google+ | The Pardus wiki  | Visit Pardus-Anka official website  | Register as forum member?  Email the moderator!

+  Pardus Worldforum
|-+  Assistance
| |-+  Hardware
| | |-+  Printer Canon ImageCLASS MF series problem
0 Members and 1 Guest are viewing this topic. « previous next »
Pages: [1] 2 Go Down Print
Author Topic: Printer Canon ImageCLASS MF series problem  (Read 3675 times)
Bunkmil
Newbie
*
Gender: Male
Posts: 3



View Profile
« on: July 19, 2009, 23:36:45 PM »

Hi everyone!

I'm a new satisfied user of Pardus. There's only one problem that I can't fix and your help would be appreciated.

I have a Canon multifunction printer MF4370dn and I'm very well capable of running it on other distributions with the following drivers:

http://tinyurl.com/pt2tx8

Canon provides packages .deb and .rpm for these drivers. I followed exactly the
tutorial presented there:

http://worldforum.pardus-linux.nl/index.php?topic=1149.0

But when I come to install my printer, for an unknown reason, the drivers installed simply don't appear in the models from Canon. However, the .ppd files are in /usr/share/cups/model, but they don't work if I select them manually.

I saw on the wiki that there were some solutions for certain types of Canon models, but none for the ImageCLASS MF series.

Thanks for your help!
« Last Edit: August 12, 2009, 16:10:27 PM by Bunkmil » Logged
Bunkmil
Newbie
*
Gender: Male
Posts: 3



View Profile
« Reply #1 on: October 12, 2009, 16:37:52 PM »

I've been able to make it work with the packages available at:

http://cekirdek.pardus.org.tr/~ozan/dist/binaries/cndrvcups-capt-1.60-2-1.pisi

and

http://cekirdek.pardus.org.tr/~ozan/dist/binaries/cndrvcups-common-1.60-2-1.pisi

Just a suggestion: Those packages should be updated because there's a lot of
new printers supported with the 1.90 version available at:

http://support-asia.canon-asia.com/contents/ASIA/EN/0100093003.html

and

http://support-asia.canon-asia.com/contents/ASIA/EN/0100093103.html

Thanks!
Logged
Fox
Pardus fellow craft
**
Posts: 38



View Profile
« Reply #2 on: February 07, 2010, 13:27:22 PM »

Is this also needed to get a Canon Pixma MP620 working?

I tried to use the Canon Pixma MP-600 files from the Pardus WIKI, I think I can use these to. Couldn't download the files:

Not Found

The requested URL /~ozan/dist/binaries/2009/cnijfilter-common-mp600-3.00-1.pisi was not found on this server.   Sad

Logged
Andreas
Guest
« Reply #3 on: February 07, 2010, 13:56:42 PM »

I tried to use the Canon Pixma MP-600 files from the Pardus WIKI, I think I can use these to. Couldn't download the files:

Hello Fox,

please try to install the pisi packages which Bunkmil wrote in his post.  Wink

Greetings
Andreas
Logged
Fox
Pardus fellow craft
**
Posts: 38



View Profile
« Reply #4 on: February 07, 2010, 14:15:11 PM »

Hi Andreas,

I tried to,
sudo pisi it cndrvcups-common-1.60-2-1.pisi
(file was in my download directory)

I got the error message that cndrvcups-common is not compatible with the distribution version of Pardus 2009.  Sad
« Last Edit: February 07, 2010, 14:21:00 PM by Fox » Logged
Andreas
Guest
« Reply #5 on: February 07, 2010, 14:55:47 PM »


I got the error message that cndrvcups-common is not compatible with the distribution version of Pardus 2009.  Sad

Hello Fox,

I installed for trial the package by me without problems.  Wink

Do you use Pardus 2009.1 ?

Perhaps you should do make one pisi up in console by root, before installing the package.  Wink

Code:
pisi up

All available packages for Canon you find here

Greetings
Andreas
« Last Edit: February 07, 2010, 16:28:46 PM by Andreas » Logged
Fox
Pardus fellow craft
**
Posts: 38



View Profile
« Reply #6 on: February 07, 2010, 16:19:55 PM »

sudo pisi up didn't work, I guess because it was a fresh install of 2009.1

Thanks, I tried the other drivers but I didn't get it working. Sad
Logged
Andreas
Guest
« Reply #7 on: February 07, 2010, 16:30:36 PM »

sudo pisi up didn't work

Hello Fox,

it was one mistake from me, sorry.  Roll Eyes

Code:
pisi up (as root)

Greetings
Andreas
« Last Edit: February 07, 2010, 16:32:17 PM by Andreas » Logged
Fox
Pardus fellow craft
**
Posts: 38



View Profile
« Reply #8 on: February 07, 2010, 16:52:43 PM »

Hi Andreas,
sudo pisi up

Hello Fox,

it was one mistake from me, sorry.  Roll Eyes

Code:
pisi up (as root)
No, I was unclear. Sorry. The command sudo pisi up did work, but I meant that there was no effect. There were no packets that needed an update.
Logged
Andreas
Guest
« Reply #9 on: February 07, 2010, 16:57:45 PM »

Hello Fox,

then I recommend you to write a bug here   Wink

Greetings
Andreas
Logged
Fox
Pardus fellow craft
**
Posts: 38



View Profile
« Reply #10 on: February 07, 2010, 22:35:01 PM »

Hi Andreas,
Hello Fox,

then I recommend you to write a bug here   Wink
I'm afraid that's to complicated for me. I don't know what's wrong. The files, the Pardus printing installer, PISI or ....  Huh?

Frank
Logged
Michiel
Administrator
Pardus Guru
*****
Posts: 799



View Profile
« Reply #11 on: February 07, 2010, 22:55:46 PM »

Perhaps you should try these PISI packages just one subdirectory (the dir called 2009) deeper:

for PIXMA MP600 series:
http://cekirdek.pardus.org.tr/~ozan/dist/binaries/2009/cnijfilter-common-mp600-2.70-1.pisi
or
http://cekirdek.pardus.org.tr/~ozan/dist/binaries/2009/cnijfilter-common-mp630-3.00-1.pisi

and

http://cekirdek.pardus.org.tr/~ozan/dist/binaries/2009/cnijfilter-mp610series-2.80-1.pisi
or
http://cekirdek.pardus.org.tr/~ozan/dist/binaries/2009/cnijfilter-mp630series-3.00-1.pisi

for the MF ones:
http://cekirdek.pardus.org.tr/~ozan/dist/binaries/2009/cndrvcups-common-1.60-2.pisi

and

http://cekirdek.pardus.org.tr/~ozan/dist/binaries/2009/cndrvcups-capt-1.60-2.pisi

or browse other packages in
http://cekirdek.pardus.org.tr/~ozan/dist/binaries/2009/

GOOD LUCK, hope these ones will do the job for you
« Last Edit: February 07, 2010, 22:57:32 PM by Michiel » Logged

Former Pardus user, now on OpenSUSE 12.2 (KDE)
Michiel
Administrator
Pardus Guru
*****
Posts: 799



View Profile
« Reply #12 on: February 07, 2010, 22:59:30 PM »

and for Pardus 2008 of course:
http://cekirdek.pardus.org.tr/~ozan/dist/binaries/2008/

I guess the pisi packages in the main dir are outdated, you can see that from the dates they wereuploaded.

We should adjust the wiki  Grin
Logged

Former Pardus user, now on OpenSUSE 12.2 (KDE)
Andreas
Guest
« Reply #13 on: February 08, 2010, 06:54:40 AM »


I'm afraid that's to complicated for me. I don't know what's wrong. The files, the Pardus printing installer, PISI or .... 


Hello Frank,

I wrote one Bug for you.  Wink

Greetings
Andreas
Logged
Andreas
Guest
« Reply #14 on: February 08, 2010, 08:49:24 AM »

Hello Frank,

and here the answers of the developers Ozan and Serdar Wink

Quote
-- Comment #1 from Ozan Çağlayan <ozan@pardus.org.tr>  2010-02-08 08:24:54 ---
He has to install the packages in /2009/ directory

Quote
------- Comment #2 From Serdar Dalgıç 2010-02-08 09:30:33 -------
don't know whether canon pixma mp600 and canon mp600 are the same, but there is
a canon mp600 bug # 8348 .

Ozan can you take a look at it too?

Greetings
Andreas
« Last Edit: February 08, 2010, 08:53:04 AM by Andreas » Logged
Pages: [1] 2 Go Up Print 
« previous next »
Jump to:  


Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!